︠3c4b8edc-446e-427e-a611-5b6a9560d65a︠
def runge_kutta_two(a,b,N,alpha):
    #create functions we will need
    f = lambda x,y: 1.0 + (y/x) + (y/x)^2 #this is the first equation
    g = lambda x: x*tan(ln(x)) # this is the exact solution for the IVP
    #continuing with page 279
    h = (b-a)/N
    t = a
    omega = alpha
    #make a list to store values
    w = []
    w.append((0,omega, n(abs(g(1)-omega)))) # this stores y(1) = 0 & actual error
    for i in range(1,N):
        omega = omega + h * f(t + (h/2), omega + (h/t)*f(t,omega)) # compute omega_i
        w.append(( i, omega, n(abs(g(1)-omega)) ) ) #store values
        t = a + i * h # compute t_i
    return w
︡6f337461-837d-4e9d-815a-4c01e353b1eb︡︡
︠4edc6b2c-971f-4c00-90b3-fbc4e0f9f53c︠
ans = runge_kutta_two(1,4,300,0)
mat_ans = matrix(ans)
latex_mat = latex(mat_ans)
︡7f1a19f9-ff02-4a90-a66d-97e42c30dd92︡︡
